import { useContextKey } from '@kevisual/use-config/context';
// import { appDefine } from '@/query/query-ai/defines/ai.ts';
import { ProviderManager } from '@kevisual/ai';
import { App } from '@kevisual/router';
import { assistantConfig } from '@/app.ts';
const app = useContextKey<App>('app');

app
  .route({
    path: 'ai',
    key: 'chat',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const { messages = [], username, group, question, chatOpts = {} } = ctx.query;
    // if (!username || !model || !group) {
    //   return ctx.throw(4001, 'username, model, group is required');
    // }
    if (messages.length === 0 && question) {
      messages.push({
        role: 'user',
        content: question,
      });
    }
    const as = assistantConfig.getCacheAssistantConfig();
    const { provider, apiKey, model } = as.ai || {};
    const pm = new ProviderManager({
      provider: provider,
      apiKey: apiKey,
      model: model,
    });
    const result = await pm.provider.chat(messages, chatOpts);
    ctx.body = result;
  })
  .addTo(app);
