import { query } from '@/module/query.ts';
import { DataOpts } from '@kevisual/query';

type QueryAppParams = {
  id?: string;
  user?: string;
  key?: string;
};
/**
 * 获取公共的应用信息
 * @param params
 * @param opts
 * @returns
 */
export const queryApp = async (params: QueryAppParams, opts?: any) => {
  return await query.post(
    {
      path: 'app',
      key: 'getApp',
      data: {
        ...params,
      },
    },
    opts,
  );
};

export const queryAppVersion = async (params: { key?: string; version?: string; id?: string }, opts?: DataOpts) => {
  return await query.post(
    {
      path: 'app',
      key: 'get',
      data: {
        ...params,
      },
    },
    opts,
  );
};
